:root {
    --col1BlackTr: rgba(0, 0, 0, 0.75);
    --col2MainOrange: #B88F07;
    --col3HardOrange: #7D6306;
    --col4LightOrange: #FFFCF2;
    --col5SoftOrange: #FFDC60;
    --col6White: #FFFFFF;
    --col6WhiteTr50: rgba(255, 255, 255, 0.5);
    --col6WhiteTr80: rgba(255, 255, 255, 0.8);
    --col7Black: #413939;
    --col8LightOrangeHove: #ffe070;
}

* {
    margin: 0;
    padding: 0;
    font-family: "Roboto", sans-serif;
    box-sizing: border-box;
}

body {
    max-width: 1920px;
    margin: 0 auto;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
    color: inherit;
}

.icon-24 {
    width: 24px;
    height: 24px;
}

.icon-40 {
    width: 40px;
    height: 40px;
}

.icon-96 {
    width: 96px;
    height: 96px;
}

h1 {
    font-size: 32px;
    color: var(--col3HardOrange);
    text-align: center;
    margin-top: 64px;
    margin-bottom: 32px;
}

h3 {
    font-size: 20px;
    color: var(--col6White);
}

/* NAV */

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-inline: 64px;
    width: 100%;
    background-color: var(--col1BlackTr);
    height: 128px;
}

.nav-menu, .mobile-nav-menu {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
}

.nav-menu li a, .mobile-nav-menu li a {
    font-size: 16px;
    color: var(--col6White);
    transition: 0.3s;
    height: 40px;
    padding-inline: 16px;
    border-radius: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.nav-menu li a:hover, .mobile-nav-menu li a:hover {
    background-color: var(--col2MainOrange);
    transition: 0.3s;
}

.active-nav {
    background-color: var(--col2MainOrange);
}

.logo-nav {
    height: 96px;
    width: auto;
}

.nav-search {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 32px;
}

.search-form, .search-form-mobile {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0;
}

.search-form-mobile {
    display: none;
}

.search-input {
    height: 40px;
    border: none;
    padding-inline: 16px;
    border-radius: 8px 0 0 8px;
    outline: none;
    font-size: 16px;
    background-color: var(--col2MainOrange);
    color: var(--col6White);
}

.search-input:focus {
    outline: none;
}

.search-input::placeholder {
    color: var(--col6White);
    opacity: 0.8;
}

.search-button {
    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
    border-radius: 0 8px 8px 0;
    background-color: var(--col2MainOrange);
    cursor: pointer;
}

.hamburger-menu {
    display: none;
}

.mobile-nav-menu {
    display: none;
    flex-direction: column;
    position: absolute;
    top: 128px;
    left: 0;
    background-color: var(--col1BlackTr);
    align-items: flex-start;
    width: 100%;
    padding: 32px;
    z-index: 5;
}

/* HERO */

main {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
    position: relative;
    overflow-x: clip;
    overflow-y: visible;
    height: calc(((181*100vw)/384) - 128px);
    max-height: 777px;
}

.main-content {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 20px;
    flex-direction: column;
    padding: 32px;
    margin: 64px;
    background-color: var(--col6WhiteTr50);
    border-radius: 32px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease-in-out;
}

.main-content:hover {
    box-shadow: 0 8px 40px rgba(0, 0, 0, 0.2);
    transition: box-shadow 0.3s ease-in-out;
}

.hero-img {
    width: 100%;
    height: auto;
    position: absolute;
    top: -128px;
    left: 0;
    z-index: -1;
}

.hero-h1 {
    color: var(--col7Black);
    font-size: 40px;
    margin: 0;
    padding: 0;
    text-align: left;
}

.hero-h2 {
    color: var(--col2MainOrange);
    font-size: 32px;
    margin: 0;
    padding: 0;
    text-align: left;
}

.hero-btn {
    background-color: var(--col2MainOrange);
    height: 40px;
    padding-inline: 16px;
    font-weight: bold;
    color: var(--col6White);
    font-size: 16px;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    margin-top: 20px;
}

/* SERVICES */



.services {
    display: flex;
    justify-content: center;
    align-items: center;
}

.services-container {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-wrap: wrap;
    gap: 32px;
    max-width: 728px;
    padding-inline: 16px;
}

.service-item {
    width: 320px;
    height: auto;
    box-sizing: border-box;
    padding: 32px;
    border-radius: 32px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
    flex-direction: column;
    background-color: var(--col4LightOrange);
    text-align: center;
    min-height: 250px;
    transition: 0.3s;
    cursor: pointer;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
}

.service-item:hover {
    background-color: var(--col8LightOrangeHove);
    transition: 0.3s;
    box-shadow: 0 8px 40px rgba(0, 0, 0, 0.2);
}

.service-item img {
    width: 96px;
    height: 96px;
}

.service-item p {
    font-size: 20px;
    font-weight: bold;
    color: var(--col7Black);
}

/* WHO WE ARE */

.who-we-are {
    display: flex;
    justify-content: center;
    align-items: center;
}

.who-we-are-parent {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    gap: 32px;
    padding-inline: 16px;
}

.who-we-are img {
    max-width: 320px;
    border-radius: 32px;
    height: auto;
    width: 100%;
}

.who-we-are-container {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: column;
    max-width: 376px;
    width: 100%;
    gap: 32px;
}

.who-we-are-buttons {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
}

.who-we-are-btn, .who-we-are-btn-actv {
    height: 40px;
    padding-inline: 16px;
    border: 1px solid var(--col3HardOrange);
    border-radius: 8px;
    font-size: 16px;
    font-weight: bold;
    background-color: var(--col6White);
    cursor: pointer;
    transition: 0.3s;
    color: var(--col7Black);
}

.who-we-are-btn-actv {
    background-color: var(--col5SoftOrange);
    border: 1px solid var(--col5SoftOrange);
    color: #000000;
}

.who-we-are-btn:hover, .who-we-are-btn-actv:hover {
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
    transition: 0.3s;
}

.who-we-are p {
    background-color: var(--col4LightOrange);
    padding: 16px;
    border-radius: 16px;
    font-size: 20px;
    font-weight: bold;
    display: flex;
    min-height: 290px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
    color: var(--col7Black);
}


/* FOOTER */

footer {
    margin-top: 32px;
    padding-block: 32px;
    background-color: var(--col2MainOrange);
    padding-inline: 64px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    flex-direction: column;
    gap: 64px;
}

.footer-top {
    display: flex;
    justify-content: space-between;
    width: 100%;
    align-items: flex-start;
    max-width: 1440px;
}

.footer-logo {
    width: auto;
    height: 192px;
}

.footer-item {
    display: flex;
    justify-content: flex-start;
    align-self: flex-start;
    flex-direction: column;
    gap: 16px;
    max-width: 288px;
}

.footer-list {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
    gap: 8px;
}

.footer-list li a {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4px;
    color: var(--col6White);
    font-size: 16px;
    transition: 0.5s;
}

.footer-list li a:hover {
    color: var(--col5SoftOrange);
    transition: 0.5s;
}

.footer-bottom {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    color: var(--col4LightOrange);
    gap: 16px;
    font-size: 16px;
}

.footer-bottom a {
    font-size: 14px;
    transition: 0.3s;
}

.footer-bottom a:hover {
    scale: 110%;
    transition: 0.3s;
}

/* Page items */

.page-items-parent {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 64px;
    padding-inline: 16px;
    width: 100%;
}

.page-item {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    gap: 32px;
    max-width: 1200px;
}

.page-item.left {
    flex-direction: row;
}

.page-item.right {
    flex-direction: row-reverse;
}

.page-item.left.article-item {
    align-items: center;
}

.page-item.career {
    background-color: var(--col4LightOrange);
    border-radius: 16px;
    width: 100%;
    padding: 32px;
    box-sizing: border-box;
}

.page-item img {
    width: 360px;
    height: auto;
    border-radius: 32px;
}

.page-item-texts {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 32px;
    flex-direction: column;
}

.page-item-texts.articles-text {
    gap: 16px;
    align-items: flex-end;
}

.page-item h2 {
    font-size: 24px;
    border: 2px solid var(--col3HardOrange);
    border-radius: 16px;
    padding: 24px;
    width: 100%;
}

.page-item p {
    font-size: 20px;
    background-color: var(--col4LightOrange);
    padding: 24px;
    border-radius: 16px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease-in-out;
}

.page-item.left.article-item p {
    padding: 12px;
}

.page-item p:hover {
    box-shadow: 0 8px 40px rgba(0, 0, 0, 0.2);
    transition: box-shadow 0.3s ease-in-out;
}

.page-item-card-parent {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-wrap: wrap;
    max-width: 1200px;
    gap: 30px;
    width: 100%;
}

.page-item-card {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: column;
    max-width: 380px;
    background-color: var(--col4LightOrange);
    padding: 24px;
    border-radius: 16px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease-in-out;
    box-sizing: border-box;
    gap: 16px;
    min-height: 236px;
    width: 100%;
}

.page-item-card:hover {
    box-shadow: 0 8px 40px rgba(0, 0, 0, 0.2);
    transition: box-shadow 0.1s ease-in-out;
}

.page-item-card h3 {
    color: var(--col3HardOrange);
    text-align: center;
}

.page-item-card p {
    font-size: 20px;
}

.form-main {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    flex-direction: column;
    max-width: 600px;
    gap: 16px;
}

.form-main div {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    width: 100%;
    gap: 8px;
}

.form-main div label {
    font-size: 20px;
    font-weight: bold;
    color: var(--col7Black);
}

.form-main div input, .form-main div textarea {
    height: 40px;
    font-size: 16px;
    border-radius: 8px;
    border: 1px solid var(--col3HardOrange);
    width: 100%;
    padding-inline: 16px;
    background-color: var(--col4LightOrange);
    transition: 0.3s;
}

.form-main div textarea {
    min-height: 96px;
    padding-block: 16px;
}

.form-main div input:focus, .form-main div textarea:focus {
    outline: none;
    background-color: var(--col6White);
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
    transition: 0.3s;
}

input[type="file"] {
    align-content: center;
    cursor: pointer;
}

input[type="file"]::file-selector-button {
    background-color: var(--col4LightOrange);
    height: 40px;
    border-radius: 8px;
    border: none;
    box-sizing: content-box;
}

/* ARTICLES */

.article-text-body {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    max-width: 1200px;
    margin: 0 auto;
}

.article-text-body-main {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    gap: 16px;
    flex-direction: column;
    padding-inline: 16px;
}

.article-text-body-main p, .article-text-body-main li {
    font-size: 20px;
}

.article-text-body-img {
    width: 100%;
    height: auto;
    border-radius: 16px;
    margin-block: 16px;
}

/* padding changer */

@media screen and (max-width: 1200px) {
    nav {
        padding-inline: 32px;
    }

    .nav-menu {
        gap: 8px;
    }

    .nav-menu li a {
        padding-inline: 8px;
    }

    .nav-search {
        gap: 16px;
    }

    .search-input {
        padding-inline: 8px;
    }

    .main-content {
        margin: 32px;
    }

    footer {
        padding-inline: 32px;
    }

}

@media screen and (max-width: 1000px) {
    .nav-menu {
        display: none;
    }

    .hamburger-menu {
        display: block;
    }

    main {
        min-height: 472px;
    }

    .main-content {
        background-color: var(--col6WhiteTr80);
    }

    .hero-img {
        width: auto;
        height: 600px;
        right: -72px;
        left: auto;
    }

    .page-item img {
        width: 100%;
    }

    .page-item.left {
        flex-direction: column;
    }

    .page-item.right {
        flex-direction: column;
    }
}

@media screen and (max-width: 768px) {
    .who-we-are-parent {
        flex-direction: column;
        gap: 16px;
        align-items: center;
    }

    .who-we-are-buttons {
        flex-direction: column;
        gap: 8px;
    }

    .who-we-are-buttons {
        width: 100%;
    }

    .who-we-are-btn, .who-we-are-btn-actv {
        width: 100%;
    }

    .who-we-are-container {
        max-width: 320px;
        gap: 16px;
    }

    .who-we-are p {
        min-height: 320px !important;
    }
    
    .footer-top {
        flex-direction: column;
        align-items: center;
        gap: 32px;
    }

    .footer-item {
        width: 100%;
        max-width: 100%;
        border-bottom: 2px solid var(--col6White);
        padding-bottom: 32px;
    }

    .footer-bottom {
        text-align: center;
    }
}

/* Font changer */

@media screen and (max-width: 560px) {
    .search-form {
        display: none;
    }

    .search-form-mobile {
        display: flex;
        background-color: var(--col1BlackTr);
        width: 100%;
        height: 64px;
        padding-inline: 32px;
    }

    .search-form-mobile .search-input {
        width: 100%;
    }

    .mobile-nav-menu {
        top: 192px;
    }

    .main-content {
        gap: 16px;
        padding: 16px;
        border-radius: 16px;
    }

    .hero-img {
        top: -192px;
        right: -156px;
    }

    .hero-h1 {
        font-size: 32px;
    }

    .hero-h2 {
        font-size: 24px;
    }

    main {
        min-height: 408px;
    }
}

@media screen and (max-width: 425px) {
    .service-item {
        max-width: 320px;
        width: 100%;
    }
}
